org.apache.lucene.luke.app.desktop.util

## Class TableUtils

- java.lang.Object
- - org.apache.lucene.luke.app.desktop.util.TableUtils

    public class TableUtils
    extends Object

Table utilities

### Method Summary

All Methods Static Methods Concrete Methods
`static <T extends TableColumnInfo> TreeMap<Integer,T>` `columnMap(T[] columns)`
`static <T extends TableColumnInfo> String[]` `columnNames(T[] columns)`
`static void` `setEnabled(JTable table, boolean enabled)`
`static void` `setupTable(JTable table, int selectionModel, TableModel model, MouseListener mouseListener, int... colWidth)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### setupTable

    public static void setupTable(JTable table,
                                  int selectionModel,
                                  TableModel model,
                                  MouseListener mouseListener,
                                  int... colWidth)

#### setEnabled

    public static void setEnabled(JTable table,
                                  boolean enabled)

#### columnNames

    public static <T extends TableColumnInfo> String[] columnNames(T[] columns)

#### columnMap

    public static <T extends TableColumnInfo> TreeMap<Integer,T> columnMap(T[] columns)